require "vacation_rentals_ical_adapters/adapters"
require "icalendar"

class VacationRentalsIcalAdapters::Adapters::IcalAdapter
  def applicable?(body:, source:)
    Icalendar::Calendar.parse(body).any?
  end

  def to_ical(body)
    body
  end
end
